Bug 1733887 - [Covscan] The "NEGATIVE_RETURNS" check against support/nfs/conffile.c fails as lseek() may return negative number
Summary: [Covscan] The "NEGATIVE_RETURNS" check against support/nfs/conffile.c fails a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: nfs-utils
Version: 8.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.1
Assignee: Alice Mitchell
QA Contact: Yongcheng Yang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-29 06:25 UTC by Yongcheng Yang
Modified: 2020-11-14 06:27 UTC (History)
3 users (show)

Fixed In Version: nfs-utils-2.3.3-23.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:18:52 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1687496 0 unspecified CLOSED nfsconf: update nfs.conf inplace instead of replacing the file 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHBA-2019:3579 0 None None None 2019-11-05 22:18:58 UTC

Comment 5 Steve Dickson 2019-08-01 16:25:16 UTC
commit 8d69d0abcfe31de27c081d243aca8dcaf421ba37
Author: Alice J Mitchell <ajmitchell@redhat.com>
Date:   Thu Aug 1 12:18:38 2019 -0400

    nfs-server-generator: Fix memory leak on error in nfs-server-generator

commit c917e4ba433594b2a80fc90bfcb449e6a32043a9
Author: Dave Wysochanski <dwysocha@redhat.com>
Date:   Thu Aug 1 12:10:29 2019 -0400

    mountstats: Fix nfsstat command to handle RPC iostats version >= 1.1

Comment 10 errata-xmlrpc 2019-11-05 22:18:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3579


Note You need to log in before you can comment on or make changes to this bug.